View Issue Details

IDProjectCategoryView StatusLast Update
0006057Talercashier (Android App)public2020-03-31 16:04
ReportergroteAssigned Togrote 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0006057: Cashier Balance and Withdraw Screen
DescriptionThe main screen shows the user's current bank balance (obtainable via history API from the bank) and a big 'withdraw' button.

The "withdraw" screen allows the user to enter an amount. The currency (EUR, USD, etc.) should be obtained from the bank (we probably need another API for that). For the amount itself there could be some shortcuts configured per currency (i.e. for EUR 5, 10, 20, 50) and a numeric data entry similar to that for phone numbers. There should also be a "reset" button to clear the entire amount entered, and the
"back" button should go back to the main screen. Once a non-zero amount was entered, the "confirm" button should go to the QR code view.

If a previous 'withdraw' operation was performed, an optional area should show "Withdrawal successful".

The main API required to implement this is documented at:
https://docs.taler.net/core/api-bank.html in seciton 1.7.1.

Note that the cashier app will need to repeatedly perform the GET operation (poll) while the QR code is shown to detect that the 'transfer_done' changed. We will enhance the API in the future to enable long polling, however the Python bank today does not support long polling.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-01-22 19:34 grote New Issue
2020-01-22 19:34 grote Status new => assigned
2020-01-22 19:34 grote Assigned To => grote
2020-02-19 21:40 grote Status assigned => resolved
2020-02-19 21:40 grote Resolution open => fixed
2020-03-31 16:04 Christian Grothoff Status resolved => closed